# exclude

abstract fun exclude(excludes: Array<String>): PatternFilterable

Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

#### Return

this

#### Parameters

excludes

a vararg list of exclude patterns

#### See also

PatternFilterable

Pattern Format

abstract fun exclude(excludes: Iterable<String>): PatternFilterable

Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

#### Return

this

#### Parameters

excludes

a Iterable providing new exclude patterns

#### See also

PatternFilterable

Pattern Format

abstract fun exclude(excludeSpec: Spec<FileTreeElement>): PatternFilterable

Adds an exclude spec. This method may be called multiple times to append new specs. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

#### Return

this

#### Parameters

excludeSpec

the spec to add

#### See also

PatternFilterable

Pattern Format

abstract fun exclude(excludeSpec: Closure): PatternFilterable

Adds an exclude spec. This method may be called multiple times to append new specs.The given closure is passed a org.gradle.api.file.FileTreeElement as its parameter. The closure should return true or false. Example:

    copySpec {
      from 'source'
      into 'destination'
      //an example of excluding files from certain configuration:
      exclude { it.file in configurations.someConf.files }
    }

Content copied to clipboard
If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

#### Return

this

#### Parameters

excludeSpec

the spec to add

#### See also

FileTreeElement